Page MenuHomePhabricator

[Deployment] FileExporter as a default feature to first wikis, 2019-09-24
Closed, ResolvedPublic

Description

We want to deploy FileExporter as a default feature to a few first wikis, a process also known as "small default deployment". This deployment will happen on the same wikis where FileExporter was deployed first as a beta feature (with exception of Arabic Wikipedia, see T222445).

Small default deployment wikis are:

  • German (de) Wikipedia
  • Farsi (fa) Wikipedia
  • Marathi (mr) Wikipedia
  • Korean (ko) Wikipedia
  • sourceswiki (see T198594)

More wikis will follow later.

Acceptance Criteria
This task is complete once FileExporter is enabled by default on these wikis.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterFileImporter: limited default deployment (2/2)
operations/mediawiki-config : masterFileImporter: limited default deployment (1/2)

Event Timeline

awight created this task.Sep 10 2019, 9:33 PM
Restricted Application added a project: TCB-Team. · View Herald TranscriptSep 10 2019, 9:33 PM
awight renamed this task from [Deployment] FileImporter / FileExporter small default release to [Deployment] FileImporter / FileExporter small default.Sep 10 2019, 10:20 PM
JStrodt_WMDE renamed this task from [Deployment] FileImporter / FileExporter small default to [Deployment] FileExporter as a default feature to first wikis.Sep 11 2019, 7:49 AM
JStrodt_WMDE updated the task description. (Show Details)
Restricted Application added a subscriber: revi. · View Herald TranscriptSep 11 2019, 7:49 AM
awight renamed this task from [Deployment] FileExporter as a default feature to first wikis to [Deployment] FileExporter as a default feature to first wikis, 2019-09-24.Sep 17 2019, 12:07 PM

Change 537433 had a related patch set uploaded (by Awight; owner: Awight):
[operations/mediawiki-config@master] FileImporter: limited default deployment (1/2)

https://gerrit.wikimedia.org/r/537433

Change 537434 had a related patch set uploaded (by Awight; owner: Awight):
[operations/mediawiki-config@master] FileImporter: limited default deployment (2/2)

https://gerrit.wikimedia.org/r/537434

Change 537433 merged by jenkins-bot:
[operations/mediawiki-config@master] FileImporter: limited default deployment (1/2)

https://gerrit.wikimedia.org/r/537433

Change 537434 merged by jenkins-bot:
[operations/mediawiki-config@master] FileImporter: limited default deployment (2/2)

https://gerrit.wikimedia.org/r/537434

Mentioned in SAL (#wikimedia-operations) [2019-09-24T11:05:17Z] <urbanecm@deploy1001> Synchronized wmf-config/VariantSettings.php: SWAT: 8a89652: FileImporter: limited default deployment (1/2; T232539) (duration: 01m 03s)

Mentioned in SAL (#wikimedia-operations) [2019-09-24T11:09:28Z] <urbanecm@deploy1001> Synchronized wmf-config/CommonSettings.php: SWAT: a14b772: FileImporter: limited default deployment (2/2; T232539) (duration: 00m 56s)

awight closed this task as Resolved.Sep 25 2019, 12:59 PM